body {
    z-index: 1
}

h1.column,
h2.column.steptitle {
    color: #fff;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    padding: 0
}

h1.column.steptitle,
h2.column.steptitle.steptitle {
    font-size: 22px;
    color: #0063a0
}

.progress {
    margin-top: 8px;
    margin-bottom: 16px;
    padding: 0;
    display: flex;
    justify-content: center
}

.progress .step {
    background: url("time_marker.png") no-repeat;
    width: 16px;
    height: 16px;
    margin-right: 8px
}

.progress .step.step-on {
    background-position: bottom
}

.progress .step.step-active {
    background-position: 0 -16px
}

.nextBtnContainer {
    display: flex;
    justify-content: flex-end
}

.btn,
.primary-btn {
    display: block;
    width: 136px;
    height: 48px;
    font-size: 16px;
    font-weight: bold;
    color: #1d1d1d;
    text-align: center;
    line-height: 43px;
    cursor: pointer;
    text-transform: uppercase;
    background: url("medium_button.png") no-repeat
}

.btn.primary-btn,
.primary-btn.primary-btn {
    background-image: url("green_button.png")
}

.btn.btn-random,
.primary-btn.btn-random {
    background-image: url("generator_button.png");
    width: 33px;
    height: 36px;
    line-height: 36px;
    text-indent: -9999px;
    overflow: hidden
}

.btn.btn-random:hover,
.primary-btn.btn-random:hover {
    background-position: 0 -36px
}

.btn:hover,
.primary-btn:hover {
    background-position: 0 -48px
}

.btn.disabled,
.primary-btn.disabled {
    cursor: default;
    background-position: bottom !important
}

canvas {
    width: 200px;
    pointer-events: none
}

.choice {
    cursor: pointer;
    background: url("box_skin.png") no-repeat;
    height: 288px;
    min-width: 270px;
    box-sizing: border-box
}

.choice:hover {
    background-position: 0 -288px
}

.choice.active {
    background-position: 0 -576px
}

.columns.form {
    display: none;
    margin-top: 32px
}

.columns.form>div.column {
    position: relative
}

.columns.form>div.column canvas {
    position: absolute;
    bottom: 80px;
    left: 0;
    z-index: 1
}

.columns.form>div.column::after {
    content: "";
    background: url("shadow_character.png");
    position: absolute;
    left: 51px;
    bottom: 138px;
    width: 96px;
    height: 14px;
    z-index: 0
}

.columns.form .googlecgu {
    color: #fff;
    font-weight: 600;
    font-size: .8em
}

.columns.form .googlecgu a {
    color: #e5eeff;
    font-weight: 600
}

.columns.form .backdrop {
    position: absolute;
    background: rgba(5, 118, 188, .3);
    width: 100%;
    height: 316px;
    left: 0
}

.columns.form .regform {
    margin-top: 10px;
    margin-bottom: 30px;
    padding-bottom: 10px;
    display: flex;
    flex-direction: column;
    align-items: center
}

.columns.form .regform .inputs {
    margin-bottom: 25px;
    display: flex;
    flex-direction: column
}

.columns.form .regform .inputs .nicklabel {
    color: #fff;
    font-weight: 600;
    display: none
}

.columns.form .regform .inputs .nicklabel.show {
    display: block
}

.columns.form .regform .inputs>div {
    display: flex;
    align-items: center
}

.columns.form .regform .inputs .error-email.hide {
    visibility: hidden;
    height: 20px
}

.columns.form .regform .inputs .tooltip::before {
    background: rgba(215, 27, 27, .9);
    font-weight: bold;
    font-size: 14px
}

.columns.form .regform .inputs .is-tooltip-up::after {
    border-color: rgba(215, 27, 27, .9) rgba(0, 0, 0, 0) rgba(0, 0, 0, 0) rgba(0, 0, 0, 0)
}

.columns.form .regform .inputs .is-tooltip-left::after {
    border-color: rgba(0, 0, 0, 0) rgba(0, 0, 0, 0) rgba(0, 0, 0, 0) rgba(215, 27, 27, .9)
}

.columns.form .regform input {
    max-width: 248px;
    min-width: 248px;
    height: 36px;
    margin-top: 4px;
    margin-bottom: 4px;
    margin-right: 16px;
    font-size: 14px;
    color: #00609d;
    font-weight: 600;
    padding-left: 8px;
    background: #fff;
    border: 1px solid #035b92
}

.columns.form .regform input::placeholder {
    font-size: 14px;
    color: #a4c2df;
    font-weight: 600
}

.columns.form .checkbox {
    margin-bottom: 8px
}

.columns.form .checkbox:first-child {
    margin-top: 24px
}

.columns.form .checkbox input[type=checkbox] {
    display: none
}

.columns.form .checkbox label {
    display: flex;
    align-items: center;
    font-weight: normal;
    color: #fff;
    font-weight: 600
}

.columns.form .checkbox label a {
    color: #fff;
    text-decoration: underline;
    margin-left: 4px;
    margin-right: 4px
}

.columns.form .checkbox label a.info {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("info.png?v=2") no-repeat
}

.columns.form .checkbox label::before {
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-right: 12px;
    background: url("checkbox.png") no-repeat;
    cursor: pointer;
    content: ""
}

.columns.form .checkbox input[type=checkbox]:checked+label::before {
    background-position: bottom
}

.nextBtn .wave {
    display: none;
    position: relative;
    text-align: center;
    margin-left: auto;
    margin-right: auto
}

.nextBtn .wave .dot {
    display: inline-block;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    margin-right: 2px;
    background: #303131;
    animation: wave 1.3s linear infinite
}

.nextBtn .wave .dot:nth-child(2) {
    animation-delay: -1.1s
}

.nextBtn .wave .dot:nth-child(3) {
    animation-delay: -0.9s
}

.nextBtn.loading .wave {
    display: block
}

.nextBtn.loading .text {
    display: none
}

div.window {
    box-sizing: content-box;
    background: linear-gradient(to bottom, #0d62a7 0%, #0f8ab8 100%);
    border: 2px solid #10a7ca;
    border-radius: 12px;
    padding: 8px;
    box-shadow: 0 0 0 2px #00609d;
    font-size: 14px;
    color: #fff;
    position: absolute;
    left: 50%;
    top: 50%;
    width: 286px;
    margin-left: -143px;
    z-index: 3500;
    display: flex;
    flex-direction: column
}

div.window>h1 {
    text-transform: uppercase;
    color: #fff;
    font-size: 14px;
    font-weight: 600;
    text-align: center;
    height: 24px;
    background: #1e77b9;
    margin: 0;
    margin-left: -8px;
    margin-right: -8px;
    margin-top: 4px;
    margin-bottom: 8px;
    width: calc(100% + 16px);
    cursor: default
}

div.window .message {
    background: rgba(0, 0, 0, 0);
    flex: 1;
    padding: 8px;
    padding-bottom: 24px;
    padding-top: 16px;
    font-size: 14px;
    font-weight: 600;
    text-align: center
}

div.window .message strong {
    font-weight: bold;
    color: #ffe666
}

div.window .message a {
    color: inherit
}

div.window .buttons {
    margin-top: 24px;
    display: flex;
    width: 100%;
    justify-content: space-around
}

@keyframes wave {

    0%,
    60%,
    100% {
        transform: initial
    }

    30% {
        transform: translateY(-15px)
    }
}

@media only screen and (max-width: 540px) {
    body {
        min-height: 854px;
        position: relative;
        background-size: auto 100%;
        background-position: top left
    }

    #register {
        margin-bottom: 99px
    }

    .columns.choices {
        display: flex;
        width: 540px;
        transform: scale(0.75);
        margin-left: -52px;
        margin-bottom: 0
    }

    .columns.choices>div {
        min-width: 230px
    }

    .choice {
        min-width: 202px
    }

    .btn,
    .primary-btn {
        font-size: 28px;
        width: 209px;
        height: 75px;
        line-height: 70px;
        background: url("big_button.png") no-repeat
    }

    .btn.primary-btn,
    .primary-btn.primary-btn {
        background-image: url("big_green_button.png")
    }

    .btn:hover,
    .primary-btn:hover {
        background-position: 0 -75px
    }

    .nextBtnContainer,
    .prevBtnContainer {
        position: absolute;
        bottom: 24px;
        right: 32px
    }

    .prevBtnContainer {
        right: auto;
        left: 32px
    }

    #register h2 {
        margin-bottom: 0
    }

    .progress {
        margin-top: 24px;
        margin-bottom: 24px
    }

    .columns.form .googlecgu,
    .checkbox label {
        font-size: 12px;
        margin-left: 50px;
        margin-right: 50px;
        text-align: center
    }

    .columns.form>div.column canvas {
        left: -28px
    }

    .columns.form>div.column::after {
        left: 23px
    }

    .columns.form .backdrop {
        background: rgba(5, 118, 188, .5)
    }
}